﻿/* Copyright (C) Click & Push Accessibility, Inc - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written and maintained by the Click & Push Development team 
 * <dev@clicknpush.ca>, January 2022
 */

import { action, makeObservable, observable } from "mobx";

export interface FilterOptions {
    minRating: number, 
    types: number[], 
    onlyOwn: boolean
}

class MapStore {
    filterOptions?: FilterOptions = undefined;

    constructor() {
        makeObservable(this, {
            filterOptions: observable,
            setFilterOptions: action
        });
    }

    async setFilterOptions(filterOptions: FilterOptions) {
        this.filterOptions = filterOptions;
    }
}

export const mapStore = new MapStore();